Daemon Power

The NetBSD Packages Collection: www/py-flask-cors

Brief description of the package:
Flask extension for handling Cross Origin Resource Sharing (CORS)

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://github.com/corydolphin/flask-cors.

Please note that this package has a modified-bsd license.

The package is located in the "www/py-flask-cors" directory. The current source version of the package is "py37-flask-cors-3.0.8". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for www/py-flask-cors :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: py37-flask>=0.9 py37-click>=5.1 py37-setuptools>=0.8 py37-expat-[0-9]* python37>=3.7 libffi>=1.20 cwrappers>=20150314 libuuid>=2.18 libffi>=3.0.11 readline>=2.2 readline>=6.0 python37>=3.7.0 python37>=3.7.4 py37-itsdangerous>=0.24 py37-jinja2>=2.10.1 py37-babel>=0.8 py37-pytz>=2015.7 py37-markupsafe>=0.23 py37-werkzeug>=0.15 py37-six-[0-9]* .

This package requires the following package(s) to run: py37-flask>=0.9 py37-click>=5.1 py37-setuptools>=0.8 py37-expat-[0-9]* python37>=3.7 libffi>=1.20 libuuid>=2.18 libffi>=3.0.11 python37>=3.7.0 python37>=3.7.4 py37-itsdangerous>=0.24 py37-jinja2>=2.10.1 py37-babel>=0.8 py37-pytz>=2015.7 py37-markupsafe>=0.23 py37-werkzeug>=0.15 py37-six-[0-9]* .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:py27-flask-cors-3.0.7.tgz(NetBSD 8.0)
alpha:py34-flask-cors-3.0.7.tgz(NetBSD 8.0)
alpha:py35-flask-cors-3.0.7.tgz(NetBSD 8.0)
alpha:py36-flask-cors-3.0.7.tgz(NetBSD 8.0)
alpha:py37-flask-cors-3.0.7.tgz(NetBSD 8.0)
alpha:py27-flask-cors-3.0.8.tgz(NetBSD 8.0)
alpha:py36-flask-cors-3.0.8.tgz(NetBSD 8.0)
alpha:py37-flask-cors-3.0.8.tgz(NetBSD 8.0)
earm:py36-flask-cors-3.0.8.tgz(NetBSD 8.0)
earm:py37-flask-cors-3.0.8.tgz(NetBSD 8.0)
earmv6hf:py27-flask-cors-3.0.8.tgz(NetBSD 8.0)
earmv6hf:py36-flask-cors-3.0.8.tgz(NetBSD 8.0)
earmv6hf:py37-flask-cors-3.0.8.tgz(NetBSD 8.0)
earmv6hf:py27-flask-cors-3.0.7.tgz(NetBSD 8.0)
earmv6hf:py34-flask-cors-3.0.7.tgz(NetBSD 8.0)
earmv6hf:py35-flask-cors-3.0.7.tgz(NetBSD 8.0)
earmv6hf:py36-flask-cors-3.0.7.tgz(NetBSD 8.0)
earmv6hf:py37-flask-cors-3.0.7.tgz(NetBSD 8.0)
earmv7hf:py27-flask-cors-3.0.7.tgz(NetBSD 8.0)
earmv7hf:py34-flask-cors-3.0.7.tgz(NetBSD 8.0)
earmv7hf:py35-flask-cors-3.0.7.tgz(NetBSD 8.0)
earmv7hf:py36-flask-cors-3.0.7.tgz(NetBSD 8.0)
earmv7hf:py37-flask-cors-3.0.7.tgz(NetBSD 8.0)
earmv7hf:py27-flask-cors-3.0.8.tgz(NetBSD 8.0)
earmv7hf:py36-flask-cors-3.0.8.tgz(NetBSD 8.0)
earmv7hf:py37-flask-cors-3.0.8.tgz(NetBSD 8.0)
i386:py27-flask-cors-3.0.8.tgz(NetBSD 7.0)
i386:py36-flask-cors-3.0.8.tgz(NetBSD 7.0)
i386:py37-flask-cors-3.0.8.tgz(NetBSD 7.0)
i386:py27-flask-cors-3.0.7.tgz(NetBSD 7.0)
i386:py34-flask-cors-3.0.7.tgz(NetBSD 7.0)
i386:py36-flask-cors-3.0.7.tgz(NetBSD 7.0)
i386:py37-flask-cors-3.0.7.tgz(NetBSD 7.0)
i386:py27-flask-cors-3.0.8.tgz(NetBSD 7.1)
i386:py36-flask-cors-3.0.8.tgz(NetBSD 7.1)
i386:py37-flask-cors-3.0.8.tgz(NetBSD 7.1)
i386:py27-flask-cors-3.0.7.tgz(NetBSD 7.1)
i386:py34-flask-cors-3.0.7.tgz(NetBSD 7.1)
i386:py36-flask-cors-3.0.7.tgz(NetBSD 7.1)
i386:py37-flask-cors-3.0.7.tgz(NetBSD 7.1)
i386:py27-flask-cors-3.0.8.tgz(NetBSD 8.0)
i386:py36-flask-cors-3.0.8.tgz(NetBSD 8.0)
i386:py37-flask-cors-3.0.8.tgz(NetBSD 8.0)
i386:py27-flask-cors-3.0.7.tgz(NetBSD 8.0)
i386:py34-flask-cors-3.0.7.tgz(NetBSD 8.0)
i386:py35-flask-cors-3.0.7.tgz(NetBSD 8.0)
i386:py36-flask-cors-3.0.7.tgz(NetBSD 8.0)
i386:py37-flask-cors-3.0.7.tgz(NetBSD 8.0)
powerpc:py27-flask-cors-3.0.8.tgz(NetBSD 9.0)
powerpc:py36-flask-cors-3.0.8.tgz(NetBSD 9.0)
powerpc:py37-flask-cors-3.0.8.tgz(NetBSD 9.0)
sparc64:py27-flask-cors-3.0.8.tgz(NetBSD 8.0)
sparc64:py36-flask-cors-3.0.8.tgz(NetBSD 8.0)
sparc64:py37-flask-cors-3.0.8.tgz(NetBSD 8.0)
sparc64:py27-flask-cors-3.0.7.tgz(NetBSD 8.0)
sparc64:py34-flask-cors-3.0.7.tgz(NetBSD 8.0)
sparc64:py35-flask-cors-3.0.7.tgz(NetBSD 8.0)
sparc64:py36-flask-cors-3.0.7.tgz(NetBSD 8.0)
sparc64:py37-flask-cors-3.0.7.tgz(NetBSD 8.0)
x86_64:py27-flask-cors-3.0.8.tgz(NetBSD 7.0)
x86_64:py36-flask-cors-3.0.8.tgz(NetBSD 7.0)
x86_64:py37-flask-cors-3.0.8.tgz(NetBSD 7.0)
x86_64:py27-flask-cors-3.0.7.tgz(NetBSD 7.0)
x86_64:py34-flask-cors-3.0.7.tgz(NetBSD 7.0)
x86_64:py36-flask-cors-3.0.7.tgz(NetBSD 7.0)
x86_64:py37-flask-cors-3.0.7.tgz(NetBSD 7.0)
x86_64:py27-flask-cors-3.0.8.tgz(NetBSD 7.1)
x86_64:py36-flask-cors-3.0.8.tgz(NetBSD 7.1)
x86_64:py37-flask-cors-3.0.8.tgz(NetBSD 7.1)
x86_64:py27-flask-cors-3.0.7.tgz(NetBSD 7.1)
x86_64:py34-flask-cors-3.0.7.tgz(NetBSD 7.1)
x86_64:py36-flask-cors-3.0.7.tgz(NetBSD 7.1)
x86_64:py37-flask-cors-3.0.7.tgz(NetBSD 7.1)
x86_64:py27-flask-cors-3.0.8.tgz(NetBSD 8.0)
x86_64:py36-flask-cors-3.0.8.tgz(NetBSD 8.0)
x86_64:py37-flask-cors-3.0.8.tgz(NetBSD 8.0)
x86_64:py27-flask-cors-3.0.7.tgz(NetBSD 8.0)
x86_64:py34-flask-cors-3.0.7.tgz(NetBSD 8.0)
x86_64:py35-flask-cors-3.0.7.tgz(NetBSD 8.0)
x86_64:py36-flask-cors-3.0.7.tgz(NetBSD 8.0)
x86_64:py37-flask-cors-3.0.7.tgz(NetBSD 8.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]